/*******************************************************************************
 * Copyright (c) 2000, 2004 QNX Software Systems and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     QNX Software Systems - Initial API and implementation
 *******************************************************************************/

package generic;

import org.eclipse.cdt.core.IBinaryParser.IBinaryFile;
import org.eclipse.cdt.core.IBinaryParser.IBinaryShared;
import org.eclipse.core.runtime.IPath;

/**
 */
public class GenericBinarySharedLib extends GenericBinaryExecutable implements
		IBinaryShared {

	/**
	 * @param parser
	 * @param path
	 */
	public GenericBinarySharedLib(GenericBinaryParser parser, IPath path) {
		super(parser, path, IBinaryFile.SHARED);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.cdt.core.IBinaryParser.IBinaryShared#getSoName()
	 */
	public String getSoName() {
		return null;
	}

}
